Summary: Includes inetd and ping networking programs
Name: netkit-base
Version: 0.10
Release: 12
Copyright: BSD
Group: Networking
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/netkit-base-0.10.tar.gz
Source1: inetd.conf.default
Source2: inet.init
Patch0: netkit-base-0.10-misc.patch
Provides: inetd
Prereq: /sbin/chkconfig
Summary(de): Enthlt die Netzwerkprogramme inetd und ping
Summary(fr): Inclut les programmes rseau inetd et ping.
Summary(tr): inetd ve ping programlarn ierir

%changelog
* Fri Jun 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de


* Thu Jun 04 1998 Mike Wangsmo <wanger@redhat.com>

- made /etc/inetd.conf a %config file.  This is a D'oh!

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed iniscript enhancement

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson
- enhanced initscript

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added %config(missingok) to init symlinks

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- turned off in runlevel 2
- added status, restart options to init script

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>
- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet

%description
This package provides the ping and inetd programs, which are both used for
basic networking.

%description -l de
Dieses Paket stellt die ping und inetd-Programme bereit, die beide 
fr elementare Netzwerkaufgaben benutzt werden.

%description -l fr
Ce paquetage contient les programmes ping et inetd, tous deux utiliss pour
le rseau.

%description -l tr
Bu paket a hizmetlerinde kullanlan temel yazlmlardan inetd ve ping'i
ierir.

%prep
%setup -n netkit-base-0.10
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install
install -o 0 -g 0 -m 644 $RPM_SOURCE_DIR/inetd.conf.default /etc/inetd.conf
install -o 0 -g 0 -m 755 $RPM_SOURCE_DIR/inet.init /etc/rc.d/init.d/inet

ln -fs ../init.d/inet /etc/rc.d/rc0.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc1.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc2.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc3.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc5.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc6.d/K50inet

%post
/sbin/chkconfig --add inet

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del inet
fi

%files
/bin/ping
%config /etc/inetd.conf
%config /etc/rc.d/init.d/inet
%config(missingok) /etc/rc.d/rc0.d/K50inet
%config(missingok) /etc/rc.d/rc1.d/K50inet
%config(missingok) /etc/rc.d/rc2.d/K50inet
%config(missingok) /etc/rc.d/rc3.d/S50inet
%config(missingok) /etc/rc.d/rc5.d/S50inet
%config(missingok) /etc/rc.d/rc6.d/K50inet
/usr/man/man8/inetd.8
/usr/man/man8/ping.8
/usr/sbin/inetd
